Choose style:

Author Topic: [SOLVED] Spotify unmet dependencies (SOLVED)  (Read 3144 times)

0 Members and 1 Guest are viewing this topic.

Offline robertsala

  • Jr. Member
  • **
  • Posts: 85
  • Karma: 8
  • New Forum User
    • View Profile
[SOLVED] Spotify unmet dependencies (SOLVED)
« on: November 14, 2014, 10:03:17 am »
Hi guys! I'm trying to install Spotify but it is giving me the following

"The following packages have unmet dependencies: spotify-client : Depends: libnspr4-0d but it is not going to be installed". Then it recommends libavcodec53, libavcodec52, libavcodec-extra-53, libavcodec-extra-52 but it is not installable. At the end it says that I have broken packages. Nevertheless, when I check for broken packages via Synaptic, it claims that there are not "broken packages". I've googled this problem with no success.
« Last Edit: December 21, 2014, 03:16:13 pm by robertsala »

Offline AndyInMokum

  • Global Moderator
  • Hero
  • *****
  • Posts: 4870
  • Karma: 1035
  • "Keep on Rockin' in the Free World"
    • View Profile
  • Peppermint version(s): PM 9 & PM 10 (64-bit)
Re: Spotify unmet dependencies
« Reply #1 on: November 14, 2014, 10:52:03 am »
Hi robertsala, have you tried running this in the terminal?
Code: [Select]
apt update && sudo apt-get install -f
It might do the trick  ;).
Backup! Backup! Backup! If you're missing any of these -  you ain't Backed Up!
For my system info please L/click HERE.

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26468
  • Karma: 2871
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Spotify unmet dependencies
« Reply #2 on: November 14, 2014, 03:14:31 pm »
What happens if yu run:
Code: [Select]
sudo apt-get install libnspr4-0d
?
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline robertsala

  • Jr. Member
  • **
  • Posts: 85
  • Karma: 8
  • New Forum User
    • View Profile
[SOLVED] Re: Spotify unmet dependencies [SOLVED]
« Reply #3 on: November 18, 2014, 06:12:15 am »
I downloaded the deb file and it worked fine. This case is solved.
« Last Edit: December 21, 2014, 03:12:13 pm by robertsala »

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26468
  • Karma: 2871
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Spotify unmet dependencies
« Reply #4 on: November 18, 2014, 08:25:36 am »
Cool, happy to hear you're all sorted :)

I'll do this one for you, but in future topics when you consider the topic solved, can you please remember to mark the topic (SOLVED), you can do this by editing the FIRST posting in the topic and appending (SOLVED) to the subject line.

TVM.
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec